
/* slide */
.tt-pack-slide {
  display: flex;
  /* align-items: center; */
  gap: 5px;
  background: #fff;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 3px 8px rgba(0,0,0,0.12);
  padding: 8px;
  height: 160px;            /* let autoHeight manage height */
  min-height: 110px;
}

 

/* left image block */
.tt-pack-image {
  width: 40%;              /* on desktop/tablet image left */
  min-width: 98px;
  height: 100%;
  border-radius: 12px;
  overflow: hidden;
  flex-shrink: 0;
  position: relative;
}

.tt-pack-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* subtle gradient overlay on right of image */
.tt-pack-image::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0px;
  width: 100px;
  height: 100%;
  background: linear-gradient(to left, rgba(255,255,255,1), rgba(255,255,255,0));
  pointer-events: none;
}

/* right content */
.tt-pack-content {
  padding: 6px 4px;
}

.tt-pack-content h2 {
  font-size: 14px;
  margin: 0;
  color: #111;
  line-height: 1.2;
  height: 50px;
  display: -webkit-box;
  display: box;   
  display: -moz-box; 
  -webkit-line-clamp: 3; 
  line-clamp: 3;
  -webkit-box-orient: vertical;
  box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-word;

}

.tt-pack-content strong {
  color: #32d112ff;
  font-size: 16px;
  font-weight: 700;
}
.tt-pack-content b {
  color: #ff6600;
  font-size: 11px;
  font-weight: 700;
}
.tt-pack-content span {
  color: #978f86ff;
  font-size: 10px;
  font-weight: 400;
}

.tt-pack-content .meta-row {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-top: 6px;
  flex-wrap: wrap;
}

/* CTA */
.tt-my-detail a {
  background:linear-gradient(134deg, #f30720 11%, #f30720 35%, #fd2e2e 55%);
  color: #fff;
  text-decoration: none;
  padding: 5px 28px;
  border-radius: 12px;
  font-size: 12px;
  font-weight: 600;
  display: inline-block;
  margin-top: 5px;
  cursor: pointer;
  box-shadow: 0 6px 12px rgba(0,0,0,0.12);
}
.tt-my-detail a:hover{
  color: white;
  text-decoration: none;
}

/* swiper nav style */
.swiper-button-next:after,
.swiper-button-prev:after {
  font-size: 14px;
  background: rgba(68,62,62,0.85);
  color: #fff;
  padding: 6px 9px;
  border-radius: 50%;
}

.tt-pack-slider .swiper-pagination{
  position: initial;  
}

/* MOBILE - stack vertically and place image on top */
@media (max-width: 768px) {
  .tt-pack-slide {
    gap: 8px;
    padding: 8px;
    min-height: 157px;
  }
  .tt-pack-image {
    min-width: 170px;
    height: 140px;
  }
  .tt-pack-content {
            padding: 6px 2px;
        align-items: flex-start;
        line-height: 20px;
  }
  .tt-pack-content h2 { font-size: 14px; }
  .tt-pack-content .meta-row { justify-content: flex-start; }

  .swiper.tt-pack-slider {
  padding: 0px 10px;
}
}



.pack-prev, .pack-next {
  position: absolute;
    top: 37%;
    background: #000000b0;
    box-shadow: 0px 0px 10px #fff;
    color: #ffffff;
    width: 23px;
    height: 24px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10;
    font-size: 11px;
    transition: 0.3s;
}

.pack-prev {
  left: 1px;
}

.pack-next {
  right: 1px;
}

.pack-prev:hover,
.pack-next:hover {
  background: #a81c1cff;
}